%global modulename flat-cache

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-flat-cache
Version:        1.3.4
Release:        1%{?dist}
Summary:        A stupidly simple key/value storage using files to persist some data

License:        MIT
URL:            https://github.com/royriojas/flat-cache#readme
Source0:        https://registry.npmjs.org/flat-cache/-/flat-cache-1.3.4.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(circular-json) >= 0.3.1 with npmlib(circular-json) < 0.4.0))
BuildRequires:  ((npmlib(graceful-fs) >= 4.1.2 with npmlib(graceful-fs) < 5.0.0))
BuildRequires:  ((npmlib(rimraf) >= 2.6.2 with npmlib(rimraf) < 2.7.0))
BuildRequires:  ((npmlib(write) >= 0.2.1 with npmlib(write) < 0.3.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
A stupidly simple key/value storage using files to persist some data

%package 1.3.4
Summary:        A stupidly simple key/value storage using files to persist some data


%description 1.3.4
A stupidly simple key/value storage using files to persist some data

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr cache.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr del.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr utils.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%doc changelog.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.3.4
%doc README.md
%doc changelog.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 19 2018 npm2srpm <dshea@redhat.com> - 1.3.4-1
- Package automatically generated by npm2srpm
